Name: sitescooper
Version: 3.1.2
Release: alt3

Summary: Convert websites for reading on a Palm
License: GPL, but includes modules under Artistic license

Group: Networking/Other
Url: http://sitescooper.org/

Source: http://sitescooper.org/released/sitescooper-full.tar.bz2
Source1: http://sitescooper.org/devel/sitescooper-sites.tar.bz2

BuildArch: noarch

Requires: perl
AutoReqProv: yes, noperl

%description
Sitescooper automatically retrieves the stories from several news websites,
trims off extraneous HTML, and converts them into formats you can read on your
Palm computing device later, on-the-move.  Even if you don't have a Palm
handheld, it's still handy for simple website-to-text conversion.

Sitescooper requires perl to be installed. This RPM now includes the full set
of modules required to run, but you will need to install the
"sitescooper-sites" RPM for any sites to be available.

%package sites
Summary: Site files for %name
Requires: %name = %version
Group: Networking/Other

%description sites
Site files for Sitescooper.

%prep
%setup -q -n sitescooper-%version

%build
%install
make PREFIX=$RPM_BUILD_ROOT/usr RAW_PREFIX=/usr ETC=$RPM_BUILD_ROOT/etc install-scripts
make PREFIX=$RPM_BUILD_ROOT/usr RAW_PREFIX=/usr ETC=$RPM_BUILD_ROOT/etc install-sites

%files
%prefix/bin/sitescooper
%prefix/bin/rss-to-site
%prefix/bin/subs-to-site
%prefix/man/man1/sitescooper.1*
%prefix/man/man1/rss-to-site.1*
%prefix/man/man1/subs-to-site.1*
%prefix/share/sitescooper/lib/*
%prefix/share/sitescooper/site_perl/*
%prefix/share/sitescooper/default_templates.html
%config	/etc/sitescooper.cf

%doc	README.txt CHANGES.txt OLD_CHANGES.txt
%doc	doc/*

%files sites
%prefix/share/sitescooper/profile_samples/*
%prefix/share/sitescooper/site_samples/*
%changelog
* Mon Nov 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.1.2-alt3
- Rebuilt in new environment
- Some spec cleanup
- Fixed perl requires

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.2-alt2
- rebuild

* Fri Aug 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.2.1-alt1
- First build for Sisyphus
